%define name comix
%define version 4.0.4
%define summary Comic book viewer

Summary: %summary
Name: %name
Version: %version
Release: %mkrel 4
License: GPLv2+
Group: Graphics/Viewers
URL: http://comix.sourceforge.net/
Source: http://downloads.sourceforge.net/comix/%name-%{version}.tar.gz
Patch0: comix-4.0.0-disable-update-mime-db.patch

Buildarch: noarch
BuildRequires: python, python-imaging, jpeg-progs, pygtk2.0
BuildRequires: desktop-file-utils
Requires: python, python-imaging, jpeg-progs, pygtk2.0


%description
Comix is a comic book viewer. It reads zip, rar, tar, tar.gz, and tar.bz2
archives (often called .cbz, .cbr and .cbt) as well as normal image files.

%prep
%setup -q -n %{name}-%{version} 
%patch0 -p0

%build

%install
%{__install} -d %{buildroot}%{_prefix}
%{__python} install.py install --dir %{buildroot}%{_prefix}

%find_lang %{name} --with-gnome

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications \
	--remove-category='Application' \
	--add-category='GNOME;GTK' \
	%buildroot%_datadir/applications/*.desktop

%files -f %{name}.lang
%doc ChangeLog COPYING README
%{_bindir}/comicthumb
%{_bindir}/comix
%{_datadir}/comix
%{_mandir}/man1/*
%{_datadir}/applications/*comix.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/comix.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.0.4-4.mga3
+ Revision: 348084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 malo <malo> 4.0.4-3.mga3
+ Revision: 332264
- update RPM group
- spec clean-up

* Mon Mar 07 2011 mikala <mikala> 4.0.4-2.mga1
+ Revision: 66045
- Remove Buildroot
- imported package comix

